<template lang="pug">
  .detail-tab.pa3
    h2.f4.bb.b--moon-gray 基本資訊
    b-table(
      :data="basicInfo"
    )
      template(slot-scope="props")
        b-table-column(field="name" label="名稱")
          .gray {{props.row.name}}
        b-table-column(field="value" label="數值") {{props.row.value}}
    h2.f4.bb.b--moon-gray.mt4.mb3 通報資訊
    p {{item.content}}
    .flex.flex-wrap.items-start
      img.ma2.h5(
        v-for="img in item.contentAttachment"
        :key="img.id"
        :src="imgUrl(img)"
        :title="img.filename"
      )
    h2.f4.bb.b--moon-gray.mt4.mb3 處理紀錄
    p {{item.workingLog}}
    .flex.flex-wrap.items-start
      img.ma2.h5(
        v-for="img in item.workingLogAttachment"
        :key="img.id"
        :src="imgUrl(img)"
        :title="img.filename"
      )
</template>
<script>
export default {
  props: {
    item: {
      type: Object,
      required: true
    }
  },
  computed: {
    basicInfo () {
      const d = this.item
      const fromDate = d.reportedAt.format('YYYY/MM/DD')
      const toDate = d.finishedAt ? d.finishedAt.format('YYYY/MM/DD') : '?'
      const rows = [
        { name: '時間', value: `${fromDate} - ${toDate}` },
        { name: '通報人', value: `${d.reporter} <${d.reporterEmail}>` },
        { name: '負責人', value: d.owner || '-' }
      ]
      return rows
    }
  },
  methods: {
    imgUrl (img) {
      if (img.thumbnails) {
        return img.thumbnails.large.url
      }
      return img.url
    }
  }
}
</script>
<style lang="scss" scoped>
.detail-tab {
  &__column {
    @media screen and (min-width: 60em) {
      max-height: 70vh;
      overflow-y: auto;
    }
  }
  .b-table /deep/ {
    thead {
      display: none;
    }
    td {
      border: none;
    }
  }
}
</style>
